package models

import "time"

type SgjUserAdmin struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	Mobile       string `gorm:"column:mobile" json:"mobile" form:"mobile"`
	Password     string `gorm:"column:password" json:"password" form:"password"`
	IsSuperAdmin int64  `gorm:"column:is_super_admin" json:"is_super_admin" form:"is_super_admin"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime        int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime        int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Source       int64  `gorm:"column:source" json:"source" form:"source"`
	Ttype        int64  `gorm:"column:ttype" json:"ttype" form:"ttype"`
	Ttid         int64  `gorm:"column:ttid" json:"ttid" form:"ttid"`
	Tuid         int64  `gorm:"column:tuid" json:"tuid" form:"tuid"`
}

func (SgjUserAdmin) TableName() string {
	return "sgj_user_admin"
}

type SgjPatientArticles struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	Title         string `gorm:"column:title" json:"title" form:"title"`
	Summary       string `gorm:"column:summary" json:"summary" form:"summary"`
	Content       string `gorm:"column:content" json:"content" form:"content"`
	Type          int64  `gorm:"column:type" json:"type" form:"type"`
	Num           int64  `gorm:"column:num" json:"num" form:"num"`
	Mtime         int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	RealReadNum   int64  `gorm:"column:real_read_num" json:"real_read_num" form:"real_read_num"`
	Ctime         int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	ClassId       int64  `gorm:"column:class_id" json:"class_id" form:"class_id"`
	Author        string `gorm:"column:author" json:"author" form:"author"`
	Status        int64  `gorm:"column:status" json:"status" form:"status"`
	Reason        string `gorm:"column:reason" json:"reason" form:"reason"`
	StarNum       int64  `gorm:"column:star_num" json:"star_num" form:"star_num"`
	CommentNum    int64  `gorm:"column:comment_num" json:"comment_num" form:"comment_num"`
	UserOrgId     int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	ArticleStatus int64  `gorm:"column:article_status" json:"article_status" form:"article_status"`
	Imgs          string `gorm:"column:imgs" json:"imgs" form:"imgs"`
	VideoUrl      string `gorm:"column:video_url" json:"video_url" form:"video_url"`
	Source        int64  `gorm:"column:source" json:"source" form:"source"`
	CategoryId    int64  `gorm:"column:category_id" json:"category_id" form:"category_id"`
	Ttid          int64  `gorm:"column:ttid" json:"ttid" form:"ttid"`
	Ttype         int64  `gorm:"column:ttype" json:"ttype" form:"ttype"`
	Toid          int64  `gorm:"column:toid" json:"toid" form:"toid"`
}

func (SgjPatientArticles) TableName() string {
	return "sgj_patient_articles"
}

type SgjUserDistrict struct {
	ID        int64  `gorm:"column:id" json:"id" form:"id"`
	Name      string `gorm:"column:name" json:"name" form:"name"`
	Level     int64  `gorm:"column:level" json:"level" form:"level"`
	Upid      int64  `gorm:"column:upid" json:"upid" form:"upid"`
	Path      string `gorm:"column:path" json:"path" form:"path"`
	Namepath  string `gorm:"column:namepath" json:"namepath" form:"namepath"`
	Initial   string `gorm:"column:initial" json:"initial" form:"initial"`
	Longitude string `gorm:"column:longitude" json:"longitude" form:"longitude"`
	Latitude  string `gorm:"column:latitude" json:"latitude" form:"latitude"`
	Adcode    int64  `gorm:"column:adcode" json:"adcode" form:"adcode"`
}

func (SgjUserDistrict) TableName() string {

	return "sgj_user_district"

}

type SgjUserOrg struct {
	ID              int64   `gorm:"column:id" json:"id" form:"id"`
	Creator         int64   `gorm:"column:creator" json:"creator" form:"creator"`
	OrgName         string  `gorm:"column:org_name" json:"org_name" form:"org_name"`
	OrgShortName    string  `gorm:"column:org_short_name" json:"org_short_name" form:"org_short_name"`
	OrgLogo         string  `gorm:"column:org_logo" json:"org_logo" form:"org_logo"`
	OrgIntroduction string  `gorm:"column:org_introduction" json:"org_introduction" form:"org_introduction"`
	Illness         string  `gorm:"column:illness" json:"illness" form:"illness"`
	Province        int64   `gorm:"column:province" json:"province" form:"province"`
	City            int64   `gorm:"column:city" json:"city" form:"city"`
	District        int64   `gorm:"column:district" json:"district" form:"district"`
	Address         string  `gorm:"column:address" json:"address" form:"address"`
	Longitude       string  `gorm:"column:longitude" json:"longitude" form:"longitude"`
	Latitude        string  `gorm:"column:latitude" json:"latitude" form:"latitude"`
	OrgType         int64   `gorm:"column:org_type" json:"org_type" form:"org_type"`
	Comments        int64   `gorm:"column:comments" json:"comments" form:"comments"`
	Evaluate        float64 `gorm:"column:evaluate" json:"evaluate" form:"evaluate"`
	Gallery         string  `gorm:"column:gallery" json:"gallery" form:"gallery"`
	BusinessWeek    string  `gorm:"column:business_week" json:"business_week" form:"business_week"`
	BusinessTime    string  `gorm:"column:business_time" json:"business_time" form:"business_time"`
	ContactName     string  `gorm:"column:contact_name" json:"contact_name" form:"contact_name"`
	Telephone       string  `gorm:"column:telephone" json:"telephone" form:"telephone"`
	Claim           int64   `gorm:"column:claim" json:"claim" form:"claim"`
	OperatingState  int64   `gorm:"column:operating_state" json:"operating_state" form:"operating_state"`
	Status          int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime           int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime           int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Source          int64   `gorm:"column:source" json:"source" form:"source"`
	Ttype           int64   `gorm:"column:ttype" json:"ttype" form:"ttype"`
	Ttid            int64   `gorm:"column:ttid" json:"ttid" form:"ttid"`
	Tuid            int64   `gorm:"column:tuid" json:"tuid" form:"tuid"`
	Reason          string  `gorm:"column:reason" json:"reason" form:"reason"`
	Level           int64   `gorm:"column:level" json:"level" form:"level"`
	Website         string  `gorm:"column:website" json:"website" form:"website"`
	Import          int64   `gorm:"column:import" json:"import" form:"import"`
	Sortno          int64   `gorm:"column:sortno" json:"sortno" form:"sortno"`
}

func (SgjUserOrg) TableName() string {

	return "sgj_user_org"

}

type SgjUserOrgType struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	Name        string `gorm:"column:name" json:"name" form:"name"`
	ShortName   string `gorm:"column:short_name" json:"short_name" form:"short_name"`
	Pid         int64  `gorm:"column:pid" json:"pid" form:"pid"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	SortNo      int64  `gorm:"column:sort_no" json:"sort_no" form:"sort_no"`
}

func (SgjUserOrgType) TableName() string {

	return "sgj_user_org_type"
}

type Patients struct {
	ID                           int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId                    int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId                       int64   `gorm:"column:user_id" json:"user_id" form:"user_id"`
	Avatar                       string  `gorm:"column:avatar" json:"avatar" form:"avatar"`
	PatientType                  int64   `gorm:"column:patient_type" json:"patient_type" form:"patient_type"`
	DialysisNo                   string  `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	AdmissionNumber              string  `gorm:"column:admission_number" json:"admission_number" form:"admission_number"`
	Source                       int64   `gorm:"column:source" json:"source" form:"source"`
	Lapseto                      int64   `gorm:"column:lapseto" json:"lapseto" form:"lapseto"`
	PartitionId                  int64   `gorm:"column:partition_id" json:"partition_id" form:"partition_id"`
	BedId                        int64   `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	Name                         string  `gorm:"column:name" json:"name" form:"name"`
	Alias                        string  `gorm:"column:alias" json:"alias" form:"alias"`
	Gender                       int64   `gorm:"column:gender" json:"gender" form:"gender"`
	MaritalStatus                int64   `gorm:"column:marital_status" json:"marital_status" form:"marital_status"`
	IdCardNo                     string  `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	Birthday                     int64   `gorm:"column:birthday" json:"birthday" form:"birthday"`
	ReimbursementWayId           int64   `gorm:"column:reimbursement_way_id" json:"reimbursement_way_id" form:"reimbursement_way_id"`
	HealthCareType               int64   `gorm:"column:health_care_type" json:"health_care_type" form:"health_care_type"`
	HealthCareNo                 string  `gorm:"column:health_care_no" json:"health_care_no" form:"health_care_no"`
	HealthCareDueDate            int64   `gorm:"column:health_care_due_date" json:"health_care_due_date" form:"health_care_due_date"`
	Height                       int64   `gorm:"column:height" json:"height" form:"height"`
	BloodType                    int64   `gorm:"column:blood_type" json:"blood_type" form:"blood_type"`
	Rh                           int64   `gorm:"column:rh" json:"rh" form:"rh"`
	HealthCareDueAlertDate       int64   `gorm:"column:health_care_due_alert_date" json:"health_care_due_alert_date" form:"health_care_due_alert_date"`
	EducationLevel               int64   `gorm:"column:education_level" json:"education_level" form:"education_level"`
	Profession                   int64   `gorm:"column:profession" json:"profession" form:"profession"`
	Phone                        string  `gorm:"column:phone" json:"phone" form:"phone"`
	HomeTelephone                string  `gorm:"column:home_telephone" json:"home_telephone" form:"home_telephone"`
	RelativePhone                string  `gorm:"column:relative_phone" json:"relative_phone" form:"relative_phone"`
	RelativeRelations            string  `gorm:"column:relative_relations" json:"relative_relations" form:"relative_relations"`
	HomeAddress                  string  `gorm:"column:home_address" json:"home_address" form:"home_address"`
	WorkUnit                     string  `gorm:"column:work_unit" json:"work_unit" form:"work_unit"`
	UnitAddress                  string  `gorm:"column:unit_address" json:"unit_address" form:"unit_address"`
	Children                     int64   `gorm:"column:children" json:"children" form:"children"`
	ReceivingDate                int64   `gorm:"column:receiving_date" json:"receiving_date" form:"receiving_date"`
	IsHospitalFirstDialysis      int64   `gorm:"column:is_hospital_first_dialysis" json:"is_hospital_first_dialysis" form:"is_hospital_first_dialysis"`
	FirstDialysisDate            int64   `gorm:"column:first_dialysis_date" json:"first_dialysis_date" form:"first_dialysis_date"`
	FirstDialysisHospital        string  `gorm:"column:first_dialysis_hospital" json:"first_dialysis_hospital" form:"first_dialysis_hospital"`
	PredialysisCondition         string  `gorm:"column:predialysis_condition" json:"predialysis_condition" form:"predialysis_condition"`
	PreHospitalDialysisFrequency string  `gorm:"column:pre_hospital_dialysis_frequency" json:"pre_hospital_dialysis_frequency" form:"pre_hospital_dialysis_frequency"`
	PreHospitalDialysisTimes     int64   `gorm:"column:pre_hospital_dialysis_times" json:"pre_hospital_dialysis_times" form:"pre_hospital_dialysis_times"`
	HospitalFirstDialysisDate    int64   `gorm:"column:hospital_first_dialysis_date" json:"hospital_first_dialysis_date" form:"hospital_first_dialysis_date"`
	InductionPeriod              int64   `gorm:"column:induction_period" json:"induction_period" form:"induction_period"`
	InitialDialysis              int64   `gorm:"column:initial_dialysis" json:"initial_dialysis" form:"initial_dialysis"`
	TotalDialysis                int64   `gorm:"column:total_dialysis" json:"total_dialysis" form:"total_dialysis"`
	AttendingDoctorId            int64   `gorm:"column:attending_doctor_id" json:"attending_doctor_id" form:"attending_doctor_id"`
	HeadNurseId                  int64   `gorm:"column:head_nurse_id" json:"head_nurse_id" form:"head_nurse_id"`
	Evaluate                     string  `gorm:"column:evaluate" json:"evaluate" form:"evaluate"`
	Diagnose                     string  `gorm:"column:diagnose" json:"diagnose" form:"diagnose"`
	Remark                       string  `gorm:"column:remark" json:"remark" form:"remark"`
	RegistrarsId                 int64   `gorm:"column:registrars_id" json:"registrars_id" form:"registrars_id"`
	Registrars                   string  `gorm:"column:registrars" json:"registrars" form:"registrars"`
	QrCode                       string  `gorm:"column:qr_code" json:"qr_code" form:"qr_code"`
	BindingState                 int64   `gorm:"column:binding_state" json:"binding_state" form:"binding_state"`
	PatientComplains             string  `gorm:"column:patient_complains" json:"patient_complains" form:"patient_complains"`
	PresentHistory               string  `gorm:"column:present_history" json:"present_history" form:"present_history"`
	PastHistory                  string  `gorm:"column:past_history" json:"past_history" form:"past_history"`
	Temperature                  float64 `gorm:"column:temperature" json:"temperature" form:"temperature"`
	Pulse                        int64   `gorm:"column:pulse" json:"pulse" form:"pulse"`
	Respiratory                  int64   `gorm:"column:respiratory" json:"respiratory" form:"respiratory"`
	Sbp                          int64   `gorm:"column:sbp" json:"sbp" form:"sbp"`
	Dbp                          int64   `gorm:"column:dbp" json:"dbp" form:"dbp"`
	Status                       int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                  int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                  int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Nation                       string  `gorm:"column:nation" json:"nation" form:"nation"`
	NativePlace                  string  `gorm:"column:native_place" json:"native_place" form:"native_place"`
	Age                          int64   `gorm:"column:age" json:"age" form:"age"`
}

func (Patients) TableName() string {

	return "xt_patients"
}

type DoctorAdvice struct {
	ID                    int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId             int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId             int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	AdviceType            int64   `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	AdviceDate            int64   `gorm:"column:advice_date" json:"advice_date" form:"advice_date"`
	StartTime             int64   `gorm:"column:start_time" json:"start_time" form:"start_time"`
	AdviceName            string  `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc            string  `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	ReminderDate          int64   `gorm:"column:reminder_date" json:"reminder_date" form:"reminder_date"`
	SingleDose            float64 `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit        string  `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	PrescribingNumber     float64 `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit string  `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay           string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency    string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor          int64   `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	AdviceAffirm          string  `gorm:"column:advice_affirm" json:"advice_affirm" form:"advice_affirm"`
	Remark                string  `gorm:"column:remark" json:"remark" form:"remark"`
	StopTime              int64   `gorm:"column:stop_time" json:"stop_time" form:"stop_time"`
	StopReason            string  `gorm:"column:stop_reason" json:"stop_reason" form:"stop_reason"`
	StopDoctor            int64   `gorm:"column:stop_doctor" json:"stop_doctor" form:"stop_doctor"`
	StopState             int64   `gorm:"column:stop_state" json:"stop_state" form:"stop_state"`
	ParentId              int64   `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	ExecutionTime         int64   `gorm:"column:execution_time" json:"execution_time" form:"execution_time"`
	ExecutionStaff        int64   `gorm:"column:execution_staff" json:"execution_staff" form:"execution_staff"`
	ExecutionState        int64   `gorm:"column:execution_state" json:"execution_state" form:"execution_state"`
	Checker               int64   `gorm:"column:checker" json:"checker" form:"checker"`
	RecordDate            int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	DialysisOrderId       int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id" form:"dialysis_order_id"`
	CheckTime             int64   `gorm:"column:check_time" json:"check_time" form:"check_time"`
	CheckState            int64   `gorm:"column:check_state" json:"check_state" form:"check_state"`
	DrugSpec              float64 `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit          string  `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	Groupno               int64   `gorm:"column:groupno" json:"groupno" form:"groupno"`
}

func (DoctorAdvice) TableName() string {

	return "xt_doctor_advice"
}

type SMSBatch struct {
	ID          int64  `gorm:"column:id"`
	OrgID       int64  `gorm:"column:org_id"`          // 机构 ID
	TemplateID  int64  `gorm:"column:sms_template_id"` // 对应短信平台上的模板 ID
	Autograph   string // 短信签名
	Params      string // 模板参数，以“,”隔开
	FullContent string `gorm:"column:full_content"` // 完整短信内容
	Mobiles     string // 接收手机号，以“,”隔开
	SendTime    int64  `gorm:"column:send_time"` // 发送时间
	Status      int8   // 状态: 1.待审核 2.审核未通过 3.未发送 4.已发送 5.发送失败
	CreateTime  int64  `gorm:"column:ctime"` // 创建时间
	ModifyTime  int64  `gorm:"column:mtime"` // 修改时间
}

func (SMSBatch) TableName() string {
	return "sgj_patient_sms_batch"
}

type SMSSendStatus struct {
	ID         int64  `gorm:"column:id"`
	BatchID    int64  `gorm:"batch_id"` // 批次 ID，对应 SMSBatch.ID
	Mobile     string // 接收手机号
	Status     int8   // 发送结果状态: 0.失败 1.成功
	Code       string // 短信平台返回的错误码
	Msg        string // 短信平台返回的错误信息
	CreateTime int64  `gorm:"column:ctime"` // 创建时间
	ModifyTime int64  `gorm:"column:mtime"` // 修改时间
}

func (SMSSendStatus) TableName() string {
	return "sgj_patient_sms_send_status"
}

type SMSTemplate struct {
	ID           int64  `gorm:"column:id"`
	TemplateType int8   `gorm:"column:template_type"` // 模板类型 1.默认模板 2.自定义模板
	TemplateID   int64  `gorm:"column:template_id"`   // 短信平台上的模板 id
	MessageType  int8   `gorm:"column:message_type"`  // 短信类型 1.通知短信 2.服务短信
	Content      string // 模板内容
	// ParamTypes   string `gorm:"column:param_types"` // 字段因业务没有采用默认模板的方式而弃用了！！！！ 模板内容里的参数类型：1,2,3 。参数类型以逗号隔开，位置代表了参数‘{n+1}’，类型暂时有：1.用户名 2.商家简称 3.链接 4.商品名称 5.活动名称 6.验证码。（自定义模板是没有值的，因为它没有参数）
	Autograph  string // 短信签名
	OrgID      int64  `gorm:"column:org_id"` // 模板所属机构（自定义模板才有值）
	Status     int8   // 模板状态 0.无效 1.有效 2.审核中
	CreateTime int64  `gorm:"column:ctime"` // 创建时间
	ModifyTime int64  `gorm:"column:mtime"` // 修改时间
}

func (SMSTemplate) TableName() string {
	return "sgj_patient_sms_template"
}

const (
	SMSBatchStatusInReview   = int8(1)
	SMSBatchStatusUnapproved = int8(2)
	SMSBatchStatusUnsend     = int8(3)
	SMSBatchStatusDidSend    = int8(4)
	SMSBatchStatusSendFailed = int8(5)
	SMSBatchStatusSending    = int8(6)
)

type UserSMSFreeLimit struct {
	ID         int64  `gorm:"column:id"`
	OrgID      int64  `gorm:"column:org_id"`      // 机构 ID
	TotalCount int    `gorm:"column:total_count"` // 免费额度，单位:条，下同
	UsedCount  int    `gorm:"column:used_count"`  // 已用额度
	ValidMonth string `gorm:"column:valid_month"` // 生效月份，格式:201804
	Status     int8   // 状态 0.无效 1.有效
	CreateTime int64  `gorm:"column:ctime"` // 创建时间
	ModifyTime int64  `gorm:"column:mtime"` // 修改时间
}

func (UserSMSFreeLimit) TableName() string {
	return "sgj_patient_user_sms_free_limit"
}

type PatientCourseOfDiseases struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId      int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	PatientId  int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Recorder   int64  `gorm:"column:recorder" json:"recorder" form:"recorder"`
	RecordTime int64  `gorm:"column:record_time" json:"record_time" form:"record_time"`
	Content    string `gorm:"column:content" json:"content" form:"content"`
	Status     int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime      int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Title      string `gorm:"column:title" json:"title" form:"title"`
	UserName   string `gorm:"column:user_name" json:"user_name" form:"user_name"`
}

type PatientCourseOfDisease struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId      int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	PatientId  int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Recorder   int64  `gorm:"column:recorder" json:"recorder" form:"recorder"`
	RecordTime int64  `gorm:"column:record_time" json:"record_time" form:"record_time"`
	Content    string `gorm:"column:content" json:"content" form:"content"`
	Status     int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime      int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Title      string `gorm:"column:title" json:"title" form:"title"`
}

func (PatientCourseOfDisease) TableName() string {

	return "xt_patient_course_of_disease"
}

//宣教信息
type TreatmentSummary struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId         int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	AssessmentDate    int64  `gorm:"column:assessment_date" json:"assessment_date" form:"assessment_date"`
	DialysisOrderId   int64  `gorm:"column:dialysis_order_id" json:"dialysis_order_id" form:"dialysis_order_id"`
	Mission           string `gorm:"column:mission" json:"mission" form:"mission"`
	DialysisSummary   string `gorm:"column:dialysis_summary" json:"dialysis_summary" form:"dialysis_summary"`
	Change            int64  `gorm:"column:change" json:"change" form:"change"`
	SjNurse           int64  `gorm:"column:sj_nurse" json:"sj_nurse" form:"sj_nurse"`
	ZlNurse           int64  `gorm:"column:zl_nurse" json:"zl_nurse" form:"zl_nurse"`
	HdNurse           int64  `gorm:"column:hd_nurse" json:"hd_nurse" form:"hd_nurse"`
	XjNurse           int64  `gorm:"column:xj_nurse" json:"xj_nurse" form:"xj_nurse"`
	ZlDoctor          int64  `gorm:"column:zl_doctor" json:"zl_doctor" form:"zl_doctor"`
	ChannelImage      string `gorm:"column:channel_image" json:"channel_image" form:"channel_image"`
	Puncture          string `gorm:"column:puncture" json:"puncture" form:"puncture"`
	PunctureNeedle    string `gorm:"column:puncture_needle" json:"puncture_needle" form:"puncture_needle"`
	PunctureDirection string `gorm:"column:puncture_direction" json:"puncture_direction" form:"puncture_direction"`
	Status            int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime       int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime       int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Creater           int64  `gorm:"column:creater" json:"creater" form:"creater"`
	Modifier          int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
}

func (TreatmentSummary) TableName() string {

	return "xt_treatment_summary"
}

type UserOrgApp struct {
	ID         int64 `gorm:"column:id" json:"id" form:"id"`
	AppType    int64 `gorm:"column:app_type" json:"app_type" form:"app_type"`
	Creator    int64 `gorm:"column:creator" json:"creator" form:"creator"`
	OrgId      int64 `gorm:"column:org_id" json:"org_id" form:"org_id"`
	OpenStatus int64 `gorm:"column:open_status" json:"open_status" form:"open_status"`
	Status     int64 `gorm:"column:status" json:"status" form:"status"`
	Ctime      int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (UserOrgApp) TableName() string {

	return "sgj_user_org_app"
}

type UserRole struct {
	ID               int64  `gorm:"column:id" json:"id" form:"id"`
	RoleName         string `gorm:"column:role_name" json:"role_name" form:"role_name"`
	RoleIntroduction string `gorm:"column:role_introduction" json:"role_introduction" form:"role_introduction"`
	Creator          int64  `gorm:"column:creator" json:"creator" form:"creator"`
	OrgId            int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AppId            int64  `gorm:"column:app_id" json:"app_id" form:"app_id"`
	IsSuperAdmin     int64  `gorm:"column:is_super_admin" json:"is_super_admin" form:"is_super_admin"`
	Status           int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime            int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime            int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (UserRole) TableName() string {

	return "sgj_user_role"
}

type UserAdminRole struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	AdminUserId int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	OrgId       int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AppId       int64  `gorm:"column:app_id" json:"app_id" form:"app_id"`
	RoleId      int64  `gorm:"column:role_id" json:"role_id" form:"role_id"`
	UserName    string `gorm:"column:user_name" json:"user_name" form:"user_name"`
	Avatar      string `gorm:"column:avatar" json:"avatar" form:"avatar"`
	UserType    int64  `gorm:"column:user_type" json:"user_type" form:"user_type"`
	UserTitle   int64  `gorm:"column:user_title" json:"user_title" form:"user_title"`
	Intro       string `gorm:"column:intro" json:"intro" form:"intro"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime       int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime       int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (UserAdminRole) TableName() string {

	return "sgj_user_admin_role"
}

type PatientRescueRecords struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId      int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	PatientId  int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Recorder   int64  `gorm:"column:recorder" json:"recorder" form:"recorder"`
	RecordTime int64  `gorm:"column:record_time" json:"record_time" form:"record_time"`
	Content    string `gorm:"column:content" json:"content" form:"content"`
	Status     int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime      int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	UserName   string `gorm:"column:user_name" json:"user_name" form:"user_name"`
}

type PatientRescueRecord struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId      int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	PatientId  int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Recorder   int64  `gorm:"column:recorder" json:"recorder" form:"recorder"`
	RecordTime int64  `gorm:"column:record_time" json:"record_time" form:"record_time"`
	Content    string `gorm:"column:content" json:"content" form:"content"`
	Status     int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime      int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (PatientRescueRecord) TableName() string {

	return "xt_patient_rescue_record"
}

//长期处方
type DialysisPrescription struct {
	ID                         int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId                  int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId                  int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Dialyzer                   int64   `gorm:"column:dialyzer" json:"dialyzer" form:"dialyzer"`
	MachineType                string  `gorm:"column:machine_type" json:"machine_type" form:"machine_type"`
	DewaterAmount              float64 `gorm:"column:dewater_amount" json:"dewater_amount" form:"dewater_amount"`
	DialyzerPerfusionApparatus string  `gorm:"column:dialyzer_perfusion_apparatus" json:"dialyzer_perfusion_apparatus" form:"dialyzer_perfusion_apparatus"`
	PrescriptionDewatering     float64 `gorm:"column:prescription_dewatering" json:"prescription_dewatering" form:"prescription_dewatering"`
	Anticoagulant              int64   `gorm:"column:anticoagulant" json:"anticoagulant" form:"anticoagulant"`
	AnticoagulantShouji        float64 `gorm:"column:anticoagulant_shouji" json:"anticoagulant_shouji" form:"anticoagulant_shouji"`
	AnticoagulantWeichi        float64 `gorm:"column:anticoagulant_weichi" json:"anticoagulant_weichi" form:"anticoagulant_weichi"`
	AnticoagulantZongliang     float64 `gorm:"column:anticoagulant_zongliang" json:"anticoagulant_zongliang" form:"anticoagulant_zongliang"`
	AnticoagulantGaimingcheng  string  `gorm:"column:anticoagulant_gaimingcheng" json:"anticoagulant_gaimingcheng" form:"anticoagulant_gaimingcheng"`
	AnticoagulantGaijiliang    string  `gorm:"column:anticoagulant_gaijiliang" json:"anticoagulant_gaijiliang" form:"anticoagulant_gaijiliang"`
	ModeId                     int64   `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	DialysisDurationHour       int64   `gorm:"column:dialysis_duration_hour" json:"dialysis_duration_hour" form:"dialysis_duration_hour"`
	DialysisDurationMinute     int64   `gorm:"column:dialysis_duration_minute" json:"dialysis_duration_minute" form:"dialysis_duration_minute"`
	DialysisDuration           float64 `gorm:"column:dialysis_duration" json:"dialysis_duration" form:"dialysis_duration"`
	ReplacementTotal           float64 `gorm:"column:replacement_total" json:"replacement_total" form:"replacement_total"`
	ReplacementWay             int64   `gorm:"column:replacement_way" json:"replacement_way" form:"replacement_way"`
	HemodialysisMachine        int64   `gorm:"column:hemodialysis_machine" json:"hemodialysis_machine" form:"hemodialysis_machine"`
	BloodFilter                int64   `gorm:"column:blood_filter" json:"blood_filter" form:"blood_filter"`
	PerfusionApparatus         int64   `gorm:"column:perfusion_apparatus" json:"perfusion_apparatus" form:"perfusion_apparatus"`
	DryWeight                  float64 `gorm:"column:dry_weight" json:"dry_weight" form:"dry_weight"`
	VascularAccessMode         int64   `gorm:"column:vascular_access_mode" json:"vascular_access_mode" form:"vascular_access_mode"`
	VascularAccess             int64   `gorm:"column:vascular_access" json:"vascular_access" form:"vascular_access"`
	BloodFlowVolume            float64 `gorm:"column:blood_flow_volume" json:"blood_flow_volume" form:"blood_flow_volume"`
	DialysateFlow              float64 `gorm:"column:dialysate_flow" json:"dialysate_flow" form:"dialysate_flow"`
	DisplaceLiqui              float64 `gorm:"column:displace_liqui" json:"displace_liqui" form:"displace_liqui"`
	Kalium                     float64 `gorm:"column:kalium" json:"kalium" form:"kalium"`
	Sodium                     float64 `gorm:"column:sodium" json:"sodium" form:"sodium"`
	Calcium                    float64 `gorm:"column:calcium" json:"calcium" form:"calcium"`
	Bicarbonate                float64 `gorm:"column:bicarbonate" json:"bicarbonate" form:"bicarbonate"`
	Glucose                    float64 `gorm:"column:glucose" json:"glucose" form:"glucose"`
	DialysateTemperature       float64 `gorm:"column:dialysate_temperature" json:"dialysate_temperature" form:"dialysate_temperature"`
	Conductivity               float64 `gorm:"column:conductivity" json:"conductivity" form:"conductivity"`
	PrescriptionDoctor         int64   `gorm:"column:prescription_doctor" json:"prescription_doctor" form:"prescription_doctor"`
	Creater                    int64   `gorm:"column:creater" json:"creater" form:"creater"`
	Modifier                   int64   `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Remark                     string  `gorm:"column:remark" json:"remark" form:"remark"`
	Status                     int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	RecordDate                 int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	RecordId                   int64   `gorm:"column:record_id" json:"record_id" form:"record_id"`
	TargetUltrafiltration      float64 `gorm:"column:target_ultrafiltration" json:"target_ultrafiltration" form:"target_ultrafiltration"`
	DialysateFormulation       int64   `gorm:"column:dialysate_formulation" json:"dialysate_formulation" form:"dialysate_formulation"`
	BodyFluid                  int64   `gorm:"column:body_fluid" json:"body_fluid" form:"body_fluid"`
	SpecialMedicine            int64   `gorm:"column:special_medicine" json:"special_medicine" form:"special_medicine"`
	SpecialMedicineOther       string  `gorm:"column:special_medicine_other" json:"special_medicine_other" form:"special_medicine_other"`
	DisplaceLiquiPart          int64   `gorm:"column:displace_liqui_part" json:"displace_liqui_part" form:"displace_liqui_part"`
	BloodAccess                int64   `gorm:"column:blood_access" json:"blood_access" form:"blood_access"`
	DisplaceLiquiValue         float64 `gorm:"column:displace_liqui_value" json:"displace_liqui_value" form:"displace_liqui_value"`
	Ultrafiltration            float64 `gorm:"column:ultrafiltration" json:"ultrafiltration" form:"ultrafiltration"`
	BodyFluidOther             string  `gorm:"column:body_fluid_other" json:"body_fluid_other" form:"body_fluid_other"`
	Niprocart                  int64   `gorm:"column:niprocart" json:"niprocart" form:"niprocart"`
	Jms                        int64   `gorm:"column:jms" json:"jms" form:"jms"`
	FistulaNeedleSet           int64   `gorm:"column:fistula_needle_set" json:"fistula_needle_set" form:"fistula_needle_set"`
	FistulaNeedleSet16         int64   `gorm:"column:fistula_needle_set_16" json:"fistula_needle_set_16" form:"fistula_needle_set_16"`
	Hemoperfusion              int64   `gorm:"column:hemoperfusion" json:"hemoperfusion" form:"hemoperfusion"`
	DialyserSterilised         int64   `gorm:"column:dialyser_sterilised" json:"dialyser_sterilised" form:"dialyser_sterilised"`
	Filtryzer                  int64   `gorm:"column:filtryzer" json:"filtryzer" form:"filtryzer"`
	TargetKtv                  float64 `gorm:"column:target_ktv" json:"target_ktv" form:"target_ktv"`
	Dialyzers                  int64   `gorm:"column:dialyzers" json:"dialyzers" form:"dialyzers"`
	Injector                   int64   `gorm:"column:injector" json:"injector" form:"injector"`
	Bloodlines                 int64   `gorm:"column:bloodlines" json:"bloodlines" form:"bloodlines"`
	TubingHemodialysis         int64   `gorm:"column:tubing_hemodialysis" json:"tubing_hemodialysis" form:"tubing_hemodialysis"`
	Package                    int64   `gorm:"column:package" json:"package" form:"package"`
	ALiquid                    int64   `gorm:"column:a_liquid" json:"a_liquid" form:"a_liquid"`
}

func (DialysisPrescription) TableName() string {

	return "xt_dialysis_prescription"
}

type DialysisOrder struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	DialysisDate   int64  `gorm:"column:dialysis_date" json:"dialysis_date" form:"dialysis_date"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId      int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	PrescriptionId int64  `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	Stage          int64  `gorm:"column:stage" json:"stage" form:"stage"`
	Remark         string `gorm:"column:remark" json:"remark" form:"remark"`
	BedId          int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	StartNurse     int64  `gorm:"column:start_nurse" json:"start_nurse" form:"start_nurse"`
	FinishNurse    int64  `gorm:"column:finish_nurse" json:"finish_nurse" form:"finish_nurse"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime    int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime    int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	StartTime      int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	EndTime        int64  `gorm:"column:end_time" json:"end_time" form:"end_time"`
	PunctureNurse  int64  `gorm:"column:puncture_nurse" json:"puncture_nurse" form:"puncture_nurse"`
	Creator        int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier       int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	FinishCreator  int64  `gorm:"column:finish_creator" json:"finish_creator" form:"finish_creator"`
	FinishModifier int64  `gorm:"column:finish_modifier" json:"finish_modifier" form:"finish_modifier"`
}

func (DialysisOrder) TableName() string {

	return "xt_dialysis_order"
}

type PatientsInfectiousDiseases struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	PatientId   int64 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	DiseaseId   int64 `gorm:"column:disease_id" json:"disease_id" form:"disease_id"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (PatientsInfectiousDiseases) TableName() string {

	return "xt_patients_infectious_diseases"
}

type PatientsType struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	UserOrgId   int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Text        int64 `gorm:"column:text" json:"text" form:"text"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	PatientId   int64 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
}

func (PatientsType) TableName() string {

	return "xt_patients_type"
}

type Schedule struct {
	ID           int64 `gorm:"column:id" json:"id" form:"id"`
	UserOrgId    int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PartitionId  int64 `gorm:"column:partition_id" json:"partition_id" form:"partition_id"`
	BedId        int64 `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	PatientId    int64 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	ScheduleDate int64 `gorm:"column:schedule_date" json:"schedule_date" form:"schedule_date"`
	ScheduleType int64 `gorm:"column:schedule_type" json:"schedule_type" form:"schedule_type"`
	ScheduleWeek int64 `gorm:"column:schedule_week" json:"schedule_week" form:"schedule_week"`
	ModeId       int64 `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	Status       int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime  int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime  int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (Schedule) TableName() string {

	return "xt_schedule"
}

type DeviceZone struct {
	ID         int64  `gorm:"column:id" json:"id"`
	OrgID      int64  `gorm:"column:org_id" json:"-"`
	Name       string `json:"name"`
	Type       int    `json:"type"`
	Status     int8   `json:"-"`
	CreateTime int64  `gorm:"column:ctime" json:"-"`
	ModifyTime int64  `gorm:"column:mtime" json:"-"`
}

func (DeviceZone) TableName() string {
	return "xt_device_zone"
}

type DeviceNumber struct {
	ID         int64  `gorm:"column:id" json:"id"`
	OrgID      int64  `gorm:"column:org_id" json:"-"`
	Number     string `json:"number"`
	GroupID    int64  `gorm:"column:group_id" json:"group_id"`
	ZoneID     int64  `gorm:"column:zone_id" json:"zone_id"`
	Status     int8   `json:"-"`
	CreateTime int64  `gorm:"column:ctime" json:"-"`
	ModifyTime int64  `gorm:"column:mtime" json:"-"`
}

func (DeviceNumber) TableName() string {
	return "xt_device_number"
}

type TreatmentMode struct {
	ID                  int64  `gorm:"column:id" json:"id" form:"id"`
	Name                string `gorm:"column:name" json:"name" form:"name"`
	DialysisDuration    int64  `gorm:"column:dialysis_duration" json:"dialysis_duration" form:"dialysis_duration"`
	ReplacementWay      int64  `gorm:"column:replacement_way" json:"replacement_way" form:"replacement_way"`
	HemodialysisMachine int64  `gorm:"column:hemodialysis_machine" json:"hemodialysis_machine" form:"hemodialysis_machine"`
	BloodFilter         int64  `gorm:"column:blood_filter" json:"blood_filter" form:"blood_filter"`
	PerfusionApparatus  int64  `gorm:"column:perfusion_apparatus" json:"perfusion_apparatus" form:"perfusion_apparatus"`
	BloodFlowVolume     int64  `gorm:"column:blood_flow_volume" json:"blood_flow_volume" form:"blood_flow_volume"`
	DialysateFlow       int64  `gorm:"column:dialysate_flow" json:"dialysate_flow" form:"dialysate_flow"`
	Kalium              int64  `gorm:"column:kalium" json:"kalium" form:"kalium"`
	Sodium              int64  `gorm:"column:sodium" json:"sodium" form:"sodium"`
	Calcium             int64  `gorm:"column:calcium" json:"calcium" form:"calcium"`
	Bicarbonate         int64  `gorm:"column:bicarbonate" json:"bicarbonate" form:"bicarbonate"`
	Remark              string `gorm:"column:remark" json:"remark" form:"remark"`
	Status              int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime         int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime         int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (TreatmentMode) TableName() string {

	return "xt_treatment_mode"
}

type PatientSchedule struct {
	Schedule
	DeviceZone   DeviceZone   `json:"zone" gorm:"foreignkey:PartitionId"`
	DeviceNumber DeviceNumber `json:"bed" gorm:"foreignkey:BedId"`

	Week int64 `gorm:"-" json:"week" form:"week"`

	TreatmentMode TreatmentMode `json:"mode" gorm:"foreignkey:ModeId"`
}

type ServeSubscibe struct {
	ID              int64     `gorm:"column:id" json:"id" form:"id"`
	OrgId           int64     `gorm:"column:org_id" json:"org_id" form:"org_id"`
	PeriodStart     int64     `gorm:"column:period_start" json:"period_start" form:"period_start"`
	PeriodEnd       int64     `gorm:"column:period_end" json:"period_end" form:"period_end"`
	PeriodStartTime time.Time `gorm:"column:period_start_time" json:"period_start_time" form:"period_start_time"`
	PeriodEndTime   time.Time `gorm:"column:period_end_time" json:"period_end_time" form:"period_end_time"`
	Status          int64     `gorm:"column:status" json:"status" form:"status"`
	CreatedTime     int64     `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime     int64     `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	State           int64     `gorm:"column:state" json:"state" form:"state"`
}

func (ServeSubscibe) TableName() string {

	return "sgj_serve_subscibe"
}

type Inspection struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	PatientId    int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	OrgId        int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	ProjectId    int64  `gorm:"column:project_id" json:"project_id" form:"project_id"`
	ItemId       int64  `gorm:"column:item_id" json:"item_id" form:"item_id"`
	ItemName     string `gorm:"column:item_name" json:"item_name" form:"item_name"`
	ProjectName  string `gorm:"column:project_name" json:"project_name" form:"project_name"`
	InspectType  int64  `gorm:"column:inspect_type" json:"inspect_type" form:"inspect_type"`
	InspectValue string `gorm:"column:inspect_value" json:"inspect_value" form:"inspect_value"`
	InspectDate  int64  `gorm:"column:inspect_date" json:"inspect_date" form:"inspect_date"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime  int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime  int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (Inspection) TableName() string {

	return "xt_inspection"
}
